### Method

# Ide SubprocessLauncher get_max_fd

#### Declaration

    gint
    ide_subprocess_launcher_get_max_fd (
      IdeSubprocessLauncher* self
    )

#### Description

Gets the hightest number of FD that has been mapped into the subprocess launcher.

This will always return a value >= 2 (to indicate stdin/stdout/stderr).

Available since: | 3.34

#### Return value

Returns: | `gint`
| An integer for the max-fd.